AbstractElementVisitorPreview (Java SE 23 & JDK 23)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: AbstractElementVisitorPreview
Keywords: javax.lang.model.util.AbstractElementVisitorPreview class

# Class AbstractElementVisitorPreview<R,P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,P>
javax.lang.model.util.AbstractElementVisitor7<R,P>
javax.lang.model.util.AbstractElementVisitor8<R,P>
javax.lang.model.util.AbstractElementVisitor9<R,P>
javax.lang.model.util.AbstractElementVisitor14<R,P>
javax.lang.model.util.AbstractElementVisitorPreview<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,P>`

@SupportedSourceVersion(RELEASE_23) public abstract class AbstractElementVisitorPreview<R,P> extends AbstractElementVisitor14<R,P>
`AbstractElementVisitorPreview` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A skeletal visitor of program elements with default behavior appropriate for a preview source version.

Since:
  23
See Also:
  - Expected visitor evolution
  - Compatibility note for subclasses
  - `AbstractElementVisitor6`
  - `AbstractElementVisitor7`
  - `AbstractElementVisitor8`
  - `AbstractElementVisitor9`
  - `AbstractElementVisitor14`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractElementVisitorPreview()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor14

  `visitRecordComponent`

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor9

  `visitModule`

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.lang.model.element.ElementVisitor

  `visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

- ## Constructor Details

  - ### AbstractElementVisitorPreview

    protected AbstractElementVisitorPreview()
    Constructor for concrete subclasses to call.